Search documentation of stripe_elixir

# StripeElixir.Services.Entitlements.FeatureService (stripe_elixir v0.1.0)

Copy Markdown View Source

Feature

A feature represents a monetizable ability or functionality in your system. Features can be assigned to products, and when those products are purchased, Stripe will create an entitlement to the feature for the purchasing customer.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a feature

list(client, params \\ %{}, opts \\ [])

List all features

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve a feature

update(client, id, params \\ %{}, opts \\ [])

Updates a feature

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Create a feature

Creates a feature

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List all features

Retrieve a list of features

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a feature

Retrieves a feature

# update(client, id, params \\ %{}, opts \\ [])

    @spec update(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Updates a feature

Update a feature’s metadata or permanently deactivate it.